Send sign-in code
curl --request POST \
--url https://api.hexclave.com/api/v1/auth/otp/send-sign-in-code \
--header 'Content-Type: application/json' \
--data '
{
"email": "johndoe@example.com",
"callback_url": "https://example.com/handler/magic-link-callback"
}
'import requests
url = "https://api.hexclave.com/api/v1/auth/otp/send-sign-in-code"
payload = {
"email": "johndoe@example.com",
"callback_url": "https://example.com/handler/magic-link-callback"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'johndoe@example.com',
callback_url: 'https://example.com/handler/magic-link-callback'
})
};
fetch('https://api.hexclave.com/api/v1/auth/otp/send-sign-in-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nonce": "u3h6gn4w24pqc8ya679inrhjwh1rybth6a7thurqhnpf2"
}OTP
Send sign-in code
Send a code to the user’s email address for sign-in.
POST
/
auth
/
otp
/
send-sign-in-code
Send sign-in code
Body
application/json
The email to sign in with.
Example:
"johndoe@example.com"
The base callback URL to construct the magic link from. A query parameter code with the verification code will be appended to it. The page should then make a request to the /auth/otp/sign-in endpoint.
Example:
"https://example.com/handler/magic-link-callback"
Available options:
invisible, visible Available options:
true Response
200 - application/json
Successful response
A token that must be stored temporarily and provided when verifying the 6-digit code
Example:
"u3h6gn4w24pqc8ya679inrhjwh1rybth6a7thurqhnpf2"
⌘I